* {
  box-sizing: border-box;
}

#block-drupalcon-page-title {
  display: none;
}

.view-page {
  #block-drupalcon-page-title {
    display: block;
  }
}

body, html {
  height: 100%;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

body {
  color: $color-black;
  overflow-x: hidden;
  position: relative;
  color: $color-black;
  font-family: $font-primary;
  font-size: $font-normal;
  font-weight: 400;
  height: 100%;
  line-height: 1.6;
  margin: 0;
  padding: 0;
  
  &.open-menu-mobile,
  &.h-filter-active {
    overflow: hidden;
  }

  main {
    .page-background {
      background: url('../images/background/pattern/triangle-top.png') repeat no-repeat 0 -3em transparent;
      bottom: auto;
      height: 100%;
      left: 0;
      position: absolute;
      right: 0;
      top: 0;
      width: 100%;
      z-index: 0;
    }
    .main-wrapper {
      position: relative;
    }
    >.layout-content {
      position: relative;
      min-height: 60vh;

      .region-content {
        position: relative;
      }
    }
  }
}

img, media {
  display: block;
  height: auto;
  max-width: 100%;
  width: 100%;
}

.layout-container {
  position: relative;
}

.file {
  display: inline-block;
  min-height: 0;
  padding-left: inherit;
  background: none!important;
}

.group-actions {
  margin-top: 1.75em;
  @include breakpoint($size-normal) {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: flex-start;

    >* {
      margin-right: 1rem;
      &:last-child {
        margin-right: 0;
      }
    }
  }
}

.contextual-region .contextual {
  z-index: 2;

  .contextual-links a {
    font-size: 1rem;
    font-weight: 500;
  }
}

.node-stories.node-view-mode-teaser {
  .contextual-region .contextual {
    z-index: 3;
  }
}

.region-highlighted {
  position: fixed;
  left: 20px;
  z-index: 4;
  bottom: 20px;
}

.region-content {
  article.profile {
    text-align: center;
    padding-bottom: 2rem;
  }
}

details {
  border: 0;
  margin: 0;

  >.details-wrapper {
    padding: 0;
    margin: 0;
  }
}

.ajax-progress-fullscreen {
  position: fixed;
  z-index: 6;
  top: calc(50% - 40px);
  left: calc(50% - 40px);
  width: 80px;
  height: 80px;
  padding: 4px;
  opacity: 1;
  border-radius: 0;
  background-color: transparent;
  background-size: contain;
  background-position: center center;
  background-image: url("../../loading.gif");
}

.messages {
  z-index: 4;
  position: relative;
}

.ui-widget {
  font-family: $font-primary;
}
